#include <stdio.h>

/* 
Write a program to find the number of Armstrong numbers between 1 and n (n >= 10)
Definition of an Armstrong number:

A number is called an Armstrong number if the sum of the cubes of its digits is equal to the number itself. 
For example: 153 is an Armstrong number because --> 1^3 + 5^3 + 3^3 = 1 + 125 + 27 = 153
A cube(k^3) of a number k is: k * k *k 

Input format: The number n (integer, and n >= 10)

Output format: The number of Armstrong numbers between 1 and n. 1 and n are also included in the list of valid
numbers that need to be checked (in other words the range includes 1 and n). Use "%d\n" as the format string. 

NO LEADING OR TRAILING SPACES IN ANY LINE
*/

int main() {
	/* Don't modify anything above this line */
	int num, itemp, digit, i, sum, armstrong_count = 0;
	scanf ("%d",&num);

	for (i=1; i <= num; i++){
		
		/* check if it is an Armstrong number */
		itemp = i;
		sum = 0;
		while (itemp != 0){
			digit = itemp % 10;
			itemp = itemp / 10;
			sum += digit * digit * digit;
		}

		if (i == sum) {
			armstrong_count++;
		}
	}

	printf ("%d\n",armstrong_count);

	/* Don't modify anything below this line */
	return 0;
}


